Description: OpenSSL 1.0.0 has SSLv2 support disabled. Handle this case.
Author: Ilya Barygin <barygin@gmail.com>
Bug-Debian: http://bugs.debian.org/621994

--- medusa-2.0.orig/src/medusa-net.c
+++ medusa-2.0/src/medusa-net.c
@@ -318,9 +318,12 @@ int medusaConnectSSLInternal(sConnectPar
 
   /* The SSL context can support SSLv2, SSLv3, or both. The default is to use whatever
      the server demands. The module can override this by setting nSSLVersion. */
+#ifndef OPENSSL_NO_SSL2
   if (pParams->nSSLVersion == 2)
     sslContext = SSL_CTX_new(SSLv2_client_method());
-  else if (pParams->nSSLVersion == 3)
+  else
+#endif
+  if (pParams->nSSLVersion == 3)
     sslContext = SSL_CTX_new(SSLv3_client_method());
   else if (pParams->nSSLVersion == (float)3.1)
     sslContext = SSL_CTX_new(TLSv1_client_method());
